#!/bin/sh

gsdl3home=$1

if [ "$gsdl3home" == "" ]; then
    echo "Usage: $0 <gsdl3home>"
    exit 1
fi

cd $gsdl3home

# set up the sql db
user=`whoami`
pushd $gsdl3home/packages/mysql
echo "installing mysql databases"
./bin/mysql_install_db --datadir=$gsdl3home/packages/mysql/var --basedir=$gsdl3home/packages/mysql --user=$user --force
echo "setting up the user priviledges"
./bin/mysqld_safe --datadir=$gsdl3home/packages/mysql/var --basedir=$gsdl3home/packages/mysql --pid_file=$gsdl3home/packages/mysql/var/gsdl3.pid --err-log=$gsdl3home/packages/mysql/var/gsdl3.err &
sleep 2
./bin/mysql --user=root --execute="GRANT SELECT,INSERT,DELETE,UPDATE,DROP,CREATE ON *.* TO gsdl3admin@localhost;"
./bin/mysql --user=root --execute="GRANT SELECT ON *.* TO gsdl3reader@localhost;"

popd
./gs3-mysql-server.sh stop
